complexType "RequestSubstitutionRetracted"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, (substitutionIssuerPartyReference?, substitutionReceiverPartyReference?, (party*, account*)?, collateralRetractionReason*)?
</...>

Content Model Elements (11):

  account,
  collateralRetractionReason (in requestSubstitutionRetracted),
  correlationId,
  header (defined in RequestMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  sequenceNumber (defined in Sequence.model group),
  substitutionIssuerPartyReference (in requestSubstitutionRetracted),
  substitutionReceiverPartyReference (in requestSubstitutionRetracted),
  validation

All Direct / Indirect Based Elements (1):

  requestSubstitutionRetracted

Known Usage Locations

- As direct type of elements (1):
  requestSubstitutionRetracted

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) RequestSubstitutionRetracted

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="RequestSubstitutionRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/11)
collateralRetractionReason

  Type: | CollateralRetractionReason, complex content

  Defines a list of collateral retraction reason codes.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"/>

substitutionIssuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the substitution request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="substitutionIssuerPartyReference" type="PartyReference"/>

substitutionReceiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the substitution request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="substitutionReceiverPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.